<?php
defined('PP_PATH') or exit;
class only_alias extends model {
	function __construct() {
		$this->table = 'only_alias';	// 表名
		$this->pri = array('alias');	// 主键
	}
	public function check_alias($alias) {
		if(!preg_match('/^\w+$/', $alias)) {
			return '别名只能是 英文 数字 _';
		}
		$cfg = $this->runtime->xget();
		$keywords = $this->kv->xget('link_keywords'); // 保留关键词
		if(isset($cfg['link_tag_pre']) && $alias == $cfg['link_tag_pre']) {
			return '已经被标签URL使用';
		}elseif(isset($cfg['link_comment_pre']) && $alias == $cfg['link_comment_pre']) {
			return '已经被评论URL使用';
		}elseif(in_array($alias, $keywords)) {
			return '不允许使用保留关键词';
		}elseif($this->category->find_fetch_key(array('alias'=> $alias))) {
			return '已经被其它分类别名使用';
		}elseif($this->find_fetch_key(array('alias'=> $alias))) {
			return '已经被其它内容别名使用';
		}
		return '';
	}
}
